API reference / Operations by tag
events
S2S in-app event ingestion and erasure.
2 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.
Operations
| Method | Path | Summary |
|---|---|---|
| POST | /events/erase | Privacy erasure |
| POST | /events/ingest | S2S events/installs/sessions (app API key) |
POST /events/erase
Privacy erasure
Operation postEventsErase. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): ErasureRequest
| Field | Type | Flags | Description |
|---|---|---|---|
click_id | string | ||
device_id | string | ||
ip | string | ||
email_hash | string | ||
user_id | string |
bash
curl -X POST 'https://api.metrixed.com/v1/events/erase' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"click_id":"","device_id":"","ip":"","email_hash":""}'
Example 202 response:
json
{
"external_ref": ""
}
POST /events/ingest
S2S events/installs/sessions (app API key)
Operation postEventsIngest. Auth: API key (Bearer) or session cookie.
Request body (application/json, required): EventBatch
| Field | Type | Flags | Description |
|---|---|---|---|
events | array of Event | required | |
idempotency_key | string |
bash
curl -X POST 'https://api.metrixed.com/v1/events/ingest' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"events":[{"app_id":"","event_name":"","device":{}}]}'
Example 202 response:
json
{
"ok": false
}